Ask Your Question
0

Which version should I choose?

asked 2017-11-26 22:20:08 -0500

Sheng Liu gravatar image

I need to use the retina model in OpenCV. And I find the model exist both in OpeCV2.x and OpenCV3.x. Which version should I choose? Maybe the models in different versions are the same? Could somebody help me?

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
2

answered 2017-11-27 03:54:40 -0500

berak gravatar image

choose 3.x. (2.4 is like 5 years behind in development, and will only receive bugfixes)

while building latest opencv3 sources (and you'd need opencv_contrib, too !) might be a bit more work, you'll gain a lot of functionality (e.g. ocl support for the retina)

edit flag offensive delete link more

Comments

Thanks! I have tried the model in 2.4.13 and 3.0.0, and find little difference between the output of parvo and magno. So, if just use the original retina filter model output (output_parvo and output_magno), may I believe the models in different versions are same? Perhaps the original retina filter outputs in different versions are different in actually?

Sheng Liu gravatar imageSheng Liu ( 2017-11-27 07:51:30 -0500 )edit

sorry, but don't know about this.

berak gravatar imageberak ( 2017-11-27 08:27:53 -0500 )edit
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2017-11-26 22:20:08 -0500

Seen: 410 times

Last updated: Nov 27 '17